class Spectrum:
    """
    Класс для работы с "характеристиками" сигнала (предобработанным сигналом).

    Атрибуты:
            freqs: Список (массив) частот, который проходим.
            spec_elems: Список соответсвующих "характеристик" для каждой частоты.
    """

    def __init__(self, freqs: list):
        """
        Инициализирует новый класс спектра.
        :param freqs: Список частот.
        """
        self.freqs = freqs
        self.spec_elems = []

    def get_freqs(self) -> list:
        """
        Возвращает список частот.
        :return: Массив с частотами.
        """
        return self.freqs

    def get_spectrum(self) -> list:
        """
        Возвращает собранный спектр.
        :return: Массив с характеристиками сигнала.
        """
        return self.spec_elems

    def add(self, elem: float) -> None:
        """
        Добавляет характеристику в спектр.
        :return: None.
        """
        self.spec_elems.append(elem)

    def clear(self) -> None:
        """
        Очистить собранный спектр.
        :return: None.
        """
        self.spec_elems = []
